// package syntax.ast;

/** Nœud de l'AST avec fils homogènes.
 * <br>Construction itérative avec la méthode {@link #add(R)}
 * @param <R> le type de fils */
public class AstList<R extends AstNode> extends AstNode {
  /** Construit une liste vide. */
  public AstList() { /* liste vide */ }

  /** Construit la liste des fils par itération.
   * @param node le nœud ajouté en fin de liste */
  public void add(final R node) { this.addFils(node); }

  public void accept(final AstVisitor v) { v.visit(this); }
}
