//package syntax.ast;

/** Visiteur générique de l'AST avec parcours en profondeur. */
public abstract class AstVisitorDefault implements AstVisitor {
  /** Parcours récursif en profondeur de l'arbre de syntaxe.
   * @param node le nœud à visiter */
  public void defaultVisit(final AstNode node) {
    for (AstNode f : node) f.accept(this);
  }

  // Liste homogène
  public <T extends AstNode> void visit(final AstList<T> n) { defaultVisit(n); }

  /** Ast générique. */
  public void visit(final Ast n) { defaultVisit(n); }

  //...
}
