/** Une table de Symbole rudimentaire. */
public class SymbolTable<T> {
  /** La table. */
  private java.util.Map<String, T> table;

  /** Constructeur. */
  public SymbolTable() { table = new java.util.HashMap<>(); }

  /** Recherche. return null if not found */
  public T lookup(final String name) { return table.get(name); }

  /** Intertion. */
  public void insert(final String name, final T val) { table.put(name, val); }

  /** Suppression d'une entrée. */
  public void remove(final String name) { table.remove(name); }

  /** Suppression de toutes les entrées. */
  public void clear() { table.clear(); }

  @Override
  public String toString() {
    return "Table de Symbole [" + table + "]";
  }
}
